Subject: AW: How to use gprof under cygwin?
From: "Ahrens, Frank 6537 EPE-24" <[email-masked]>
To: "'Mumit Khan'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Tue, 10 Aug 1999 07:27:54 +0200

Hello,
if I try to compile the way below, I get the following message
/tmp\ccCdYXI6.o(.text+0x4f):test.cc: undefined reference to `mcount'.
Do I have to use a special library to link correctly for profiling?

Greetings
   Frank

e-mail: [email-masked]

"Ahrens, Frank 6537 EPE-24" <[email-masked]> writes:
> Hi,
> who can give me a hint, how to use gprof under cygwin?
> Does it generally work? Are there special things to make regarding cygwin?
> 

I have gprof for Cygwin at:
  
  ftp://ftp.xraylith.wisc.edu/pub/khan/gnu-win32/cygwin/ports/

You do as you normally would:
  
  $ gcc -pg -c foo.c
  $ gcc -pg -o foo foo.o
  $ ./foo
  $ gprof foo.exe

There are some limitations, but overall it works for C. There're problems
with C++ code (you'll probably get linker errors from multiple template
instances and so on), and you have to play a small trick with g77.

Regards,
Mumit

--
Want to unsubscribe from this list?
Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]